/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package telefonniseznam;

import java.util.*;

/**
 *
 * @author balikm1
 */
public class TelefonniSeznam {

    private List<Kontakt> seznam = new ArrayList<Kontakt>();

    public TelefonniSeznam()
    {
    }

    public void pridejKontakt(Kontakt k)
    {
        seznam.add(k);
    }

    public void smazKontakt(Kontakt k)
    {
        if (this.obsahujeKontakt(k))
        {
            seznam.remove(k);
        }
    }

    public boolean obsahujeKontakt(Kontakt k)
    {
        return seznam.contains(k);
    }

    public void vypisPodleAbecedy()
    {
        Collections.sort(seznam);
        for (Kontakt k : seznam)
        {
            System.out.println(k);
        }
    }

    public void vypisPodleCisla()
    {
        Collections.sort(seznam, new KontaktPodleCislaComparator());
        for (Kontakt k : seznam)
        {
            System.out.println(k);
        }
    }
}
